#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xabdaa960, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x53211586, __VMLINUX_SYMBOL_STR(usbnet_tx_timeout) },
	{ 0xf00c6ead, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0x247666b8, __VMLINUX_SYMBOL_STR(eth_mac_addr) },
	{ 0x63c7908, __VMLINUX_SYMBOL_STR(usbnet_start_xmit) },
	{ 0x57c54a9f, __VMLINUX_SYMBOL_STR(usbnet_stop) },
	{ 0xbc1203da, __VMLINUX_SYMBOL_STR(usbnet_open) },
	{ 0xbd31083a, __VMLINUX_SYMBOL_STR(usbnet_nway_reset) },
	{ 0x7e95f5ac, __VMLINUX_SYMBOL_STR(usbnet_set_msglevel) },
	{ 0xa31d0e64, __VMLINUX_SYMBOL_STR(usbnet_get_msglevel) },
	{ 0xd1089116, __VMLINUX_SYMBOL_STR(usbnet_set_settings) },
	{ 0xcc80b89, __VMLINUX_SYMBOL_STR(usbnet_get_settings) },
	{ 0x4579c68c, __VMLINUX_SYMBOL_STR(usbnet_resume) },
	{ 0x3bdd02f2, __VMLINUX_SYMBOL_STR(usbnet_suspend) },
	{ 0x27e14a7e, __VMLINUX_SYMBOL_STR(usbnet_disconnect) },
	{ 0x545b54da, __VMLINUX_SYMBOL_STR(usb_deregister) },
	{ 0x7881105f, __VMLINUX_SYMBOL_STR(usb_register_driver) },
	{ 0x11e4a78b, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0xcc12b18d, __VMLINUX_SYMBOL_STR(usbnet_read_cmd) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x7c2f5066, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0xbe11630f, __VMLINUX_SYMBOL_STR(usbnet_get_endpoints) },
	{ 0x9ce178fa, __VMLINUX_SYMBOL_STR(usbnet_link_change) },
	{ 0x628f5d09, __VMLINUX_SYMBOL_STR(usb_control_msg) },
	{ 0x780626d0, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x8868d5a3, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xa50b6aaa, __VMLINUX_SYMBOL_STR(dev_kfree_skb_any) },
	{ 0xa3f2e085, __VMLINUX_SYMBOL_STR(skb_push) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x14b96b96, __VMLINUX_SYMBOL_STR(usbnet_status_stop) },
	{ 0x88bfa7e, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0xd5f2172f, __VMLINUX_SYMBOL_STR(del_timer_sync) },
	{ 0x739515ba, __VMLINUX_SYMBOL_STR(usbnet_status_start) },
	{ 0xbe48e878, __VMLINUX_SYMBOL_STR(dev_get_drvdata) },
	{ 0x847c1be5, __VMLINUX_SYMBOL_STR(usbnet_probe) },
	{ 0xbe2c0274, __VMLINUX_SYMBOL_STR(add_timer) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0xc636b67e, __VMLINUX_SYMBOL_STR(usbnet_write_cmd) },
	{ 0xd0d0fb59, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0x64c4325b, __VMLINUX_SYMBOL_STR(skb_clone) },
	{ 0xc29937fb, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0x1f52b289, __VMLINUX_SYMBOL_STR(usbnet_skb_return) },
	{ 0xca3e4661, __VMLINUX_SYMBOL_STR(skb_trim) },
	{ 0xad193e60, __VMLINUX_SYMBOL_STR(usbnet_change_mtu) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0xc0891eac, __VMLINUX_SYMBOL_STR(usbnet_get_drvinfo) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x4baef182, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "896313DAA9C61C842F37412");
